org.apache.cassandra.db.marshal

## Class AsciiType

- java.lang.Object
- - org.apache.cassandra.db.marshal.AbstractType<java.lang.String>
  - - org.apache.cassandra.db.marshal.AsciiType

All Implemented Interfaces:
  java.util.Comparator<java.nio.ByteBuffer>

    public class AsciiType
    extends AbstractType<java.lang.String>

### Field Summary

Fields
`static AsciiType` `instance`

### Fields inherited from class org.apache.cassandra.db.marshal.AbstractType

`reverseComparator`

### Method Summary

Methods
`CQL3Type` `asCQL3Type()`
`int` `compare(java.nio.ByteBuffer o1, java.nio.ByteBuffer o2)`
`java.nio.ByteBuffer` `fromString(java.lang.String source)` get a byte representation of the given string.
`TypeSerializer<java.lang.String>` `getSerializer()`
`boolean` `isByteOrderComparable()`

### Methods inherited from class org.apache.cassandra.db.marshal.AbstractType

`compareCollectionMembers, componentsCount, compose, decompose, fromStringCQL2, getComponents, getString, getString, isCollection, isCompatibleWith, isCounter, isValueCompatibleWith, isValueCompatibleWithInternal, parseDefaultParameters, toString, validate, validateCellValue, validateCollectionMember`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Field Detail

#### instance

    public static final AsciiType instance

### Method Detail

#### compare

    public int compare(java.nio.ByteBuffer o1,
              java.nio.ByteBuffer o2)

#### fromString

    public java.nio.ByteBuffer fromString(java.lang.String source)

Description copied from class: `AbstractType`
get a byte representation of the given string.

Specified by:
  `fromString` in class `AbstractType<java.lang.String>`

#### asCQL3Type

    public CQL3Type asCQL3Type()

Overrides:
  `asCQL3Type` in class `AbstractType<java.lang.String>`

#### getSerializer

    public TypeSerializer<java.lang.String> getSerializer()

Specified by:
  `getSerializer` in class `AbstractType<java.lang.String>`

#### isByteOrderComparable

    public boolean isByteOrderComparable()

Overrides:
  `isByteOrderComparable` in class `AbstractType<java.lang.String>`
Returns:
  true IFF the byte representation of this type can be compared unsigned and always return the same result as calling this object's compare or compareCollectionMembers methods